
TYPO3.TYPO3CR - Bug # 2277

Status: Resolved Priority: Must have
Author: Christoph Blömer Category: FLOW3 Persistence
Created: 2008-12-05 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: When adding the same element more than one time to the repository only the first is created
Description

The Blog has tags which can be added to more than one post. After rev 1566 this is not possible anymore.

Example:
$tag1 = $this->objectFactory->create('F3::Blog::Domain::Tag');
$tag1->setName('Development');

$post1 = $this->objectFactory->create('F3::Blog::Domain::Post');
$post1->addTag($tag1);

$post2 = $this->objectFactory->create('F3::Blog::Domain::Post');
$post2->addTag($tag1);

The tag is not added to the second post. Also no Exception is shown.

Associated revisions
Revision 7a138a32 - 2009-01-13 16:39 - Karsten Dambekalns
TYPO3CR:
    -  reworked storage of value objects in FLOW3 persistence backend, fixes #2277

History
#1 - 2008-12-11 11:46 - Karsten Dambekalns
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version set to 197

#2 - 2009-01-13 16:40 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1739.

#3 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
